﻿-- Daily Global Check - Legion Treasure Chests
-- Jadya EU-Well of Eternity

-- the copy of this data is forbidden.

-------------------------------------------
--- © 2016 Saregon All Rights Reserved. ---
-------------------------------------------

local addonName, addonTable = ...

local Z = DailyGlobalCheck.Z

local questsdata = {}

local list = {
 ["Title"] = "Legion Treasure Chests",
 ["Icon"]  = "Interface\\Icons\\INV_TreasureChest_FelfireCitadel",
 ["Version"] = 1004,
 ["Order"] = {
			    -- Azsuna
				{
				 {Z[1015],37958,48289,38251,37830,42284,38367,38365,42273,42278,42958,42283,42297,38369,39084,40752,42272,40751,38419,42288,37831,37713,42292,42295,44405,42282,37649},
				},
                -- Val'Sharah 1
			    {
				 {Z[1018],38391,38861,39072,39069,39070,39087,39080,39083,44139,39085,39089,38277,38886,39077,38388,38366,38363},
				},
				-- Highmountain
   			    {
				{Z[1024],39606,40483,40505,39494,40487,40478,40499,39503,40491,40473,40489,40472,42453,40496,40481,40482,40506,39466,40507,40480,40494,40479,40477,40493},
				},
                -- Stormheim 1
			    {
				{Z[1017],38677,38676,38529,43196,38488,38483,38476,38474,38481,40093,40094,40095,40083,38637,40085,40089,40090,38477,38486,38480,43191},
				{Z[1022],38516}                                                                                                                         
				},
                -- Suramar
			    {
				{Z[1033],43853,43840},
				},
		   },
 }

local function GenerateData()
 
 local arrowup = "Interface\\Minimap\\Vehicle-SilvershardMines-Arrow"
 local chests_icon = "Interface\\WorldMap\\TreasureChest_64"
 local q = questsdata
 
 local azs = Z[1015]
 local val = Z[1018]
 local high= Z[1024]
 local sur = Z[1033]
 local sto = Z[1017]
 local dal = Z[1014]
 local hel = Z[1022]

 local cave_entrance = DailyGlobalCheck.template_cave_entrance

			 -------- Azsuna ---------
 q[37958] = {azs,"Treasure Chest"           ,nil,nil,{1015, 57.9, 12.2},nil,1,chests_icon}
 q[42289] = {azs,"Treasure Chest"           ,nil,nil,{1015, 51.5, 20.3, nil, 1015, 47.8, 23.7, cave_entrance},nil,1,chests_icon}
 q[38251] = {azs,"Treasure Chest"           ,nil,nil,{1015, 56.4, 34.8},nil,1,chests_icon}
 q[37830] = {azs,"Glimmering Treasure Chest",nil,nil,{1015, 58.36, 43.78},nil,1,chests_icon}
 q[42284] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 53.54, 39.82},nil,1,chests_icon}
 q[38367] = {azs,"Treasure Chest"           ,nil,nil,{1015, 42.6 , 8.1  },nil,1,chests_icon}
 q[38365] = {azs,"Disputed Treasure"        ,nil,nil,{1015, 55.9 , 56.9 },nil,1,chests_icon}
 q[42273] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 62.4 , 58.4 },nil,1,chests_icon}
 q[42278] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 63   , 54.2 },nil,1,chests_icon}
 q[42958] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 65.5 , 29.56},nil,1,chests_icon}
 q[42283] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 53.5 , 45.45},nil,1,chests_icon}
 q[42297] = {azs,"Glimmering Treasure Chest",nil,nil,{1015, 43.37, 22.39},nil,1,chests_icon}
 q[38369] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 39.94, 54.6 },nil,1,chests_icon}
 q[39084] = {azs,"Treasure Chest"           ,nil,nil,{1015, 43.21, 54.87},nil,1,chests_icon}
 q[40752] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 58.64, 53.38},nil,1,chests_icon}
 q[42272] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 59.88, 63.19},nil,1,chests_icon}
 q[40751] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 66.05, 43.44},nil,1,chests_icon}
 q[38419] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 57.15, 31.06},nil,1,chests_icon}
 q[42288] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 55.36, 27.74},nil,1,chests_icon}
 q[37831] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 49.65, 34.47},nil,1,chests_icon}
 q[37713] = {azs,"Treasure Chest"           ,nil,nil,{1015, 44.46, 39.47},nil,1,chests_icon}
 q[42292] = {azs,"Treasure Chest"           ,nil,nil,{1015, 41.39, 30.73},nil,1,chests_icon}
 q[44201] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 34.58, 35.55},nil,1,chests_icon}
 q[42295] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 47.85,  7.72},nil,1,chests_icon}
 q[44405] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 54.86, 52.13},nil,1,chests_icon}
 q[37288] = {azs,"Treasure Chest"           ,nil,nil,{1015, 49.37, 45.35},nil,1,chests_icon,nil,nil,nil,nil,"|Hitem:122681:0:0:0:0:0:0:0:0:0:0:0:1:0|h[toy]|h"}
 q[42282] = {azs,"Small Treasure Chest"     ,nil,nil,{1015, 53.68, 43.95},nil,1,chests_icon}
 q[37649] = {azs,"Glimmering Treasure Chest",nil,nil,{1015, 50.39, 54.36, {level=18}, 1015, 50.71, 58.6, cave_entrance, 1015, 49, 58.9, cave_entrance},nil,1,chests_icon}
 q[38316] = {azs,"Treasure Chest"           ,nil,nil,{1015, 40.56, 57.66},nil,1,chests_icon}
-- Dalaran
-- q[39846] = {dal,"Burnt Cart",nil,nil,{000, 00,00},nil,1,chests_icon} -- 001

			 -------- Val'Sharah ---------
 q[38391] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 64.7 , 82.3 },nil,1,chests_icon}
 q[38861] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 56   , 83.76},nil,1,chests_icon}
 q[39072] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 56.22, 57.30},nil,1,chests_icon}
 q[39069] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 62.7 , 70.4 },nil,1,chests_icon,nil,nil,nil,nil,"Second floor balcony"}
 q[39070] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 63   , 77   },nil,1,chests_icon}
 q[39087] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 61   , 64   },nil,1,chests_icon}
 q[39080] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 38.45, 65.3 },nil,1,chests_icon,nil,nil,nil,nil,"Downstairs in the Cellar"}	
 q[39083] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 37   , 57.34},nil,1,chests_icon}
 q[44139] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 63.9 , 45.56},nil,1,chests_icon}
 q[39085] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 42   , 88.5 },nil,1,chests_icon,nil,nil,nil,nil,"In the prisons"}
 q[39089] = {val,"Glimmering Treasure Chest",nil,nil,{1018, 61.03, 79.16},nil,1,chests_icon} 
 q[38277] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 46.45, 86.31},nil,1,chests_icon} 
 q[38886] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 49   , 86.15},nil,1,chests_icon}
 q[39077] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 42.66, 58   },nil,1,chests_icon}
 q[38388] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 51.25, 77.76},nil,1,chests_icon} 
 q[38366] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 48.59, 72.34},nil,1,chests_icon} 
 q[38363] = {val,"Small Treasure Chest"     ,nil,nil,{1018, 46.89, 72.41},nil,1,chests_icon}

			 -------- Highmountain ---------
 q[39606] = {high,"Glimmering Treasure Chest",nil,nil,{1024, 49.64, 71.28,{level=29},1024,48,85.35,cave_entrance,1024,44.62,72.35,cave_entrance,1024,48.3,77.16,{level=30,icon=arrowup,desc="This way"},1024,48.33,70.27,{level=29,icon=arrowup,desc="Use Titan Waygate"}},nil,1,chests_icon}
 -- 40483 mappa dungeon non ancora disponibile
 q[40483] = {high,"Glimmering Treasure Chest",nil,nil,{1024, 54.17, 41.59,--[[level]]nil,1024,55.13,44.3,cave_entrance},nil,1,chests_icon}
 q[40505] = {high,"Treasure Chest"           ,nil,nil,{1024, 52.02, 32.41},nil,1,chests_icon}
 q[39494] = {high,"Floating Treasure"        ,nil,nil,{1024, 39.7 , 48.3 },nil,1,chests_icon,nil,nil,nil,nil,"Drifting down the river"}
 q[40487] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 55.13, 49.65},nil,1,chests_icon}
 q[40478] = {high,"Treasure Chest"           ,nil,nil,{1024, 43.58, 25.1 ,{level=31},1024,42.55, 25.43, cave_entrance},nil,1,chests_icon}
 q[40499] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 53   , 39.46},nil,1,chests_icon}
 q[39503] = {high,"Treasure Chest"           ,nil,nil,{1024, 47.63, 44.06},nil,1,chests_icon}
 q[40491] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 47.66, 61.72},nil,1,chests_icon}
 q[40473] = {high,"Treasure Chest"           ,nil,nil,{1024, 39.28, 76.18},nil,1,chests_icon}
 q[40489] = {high,"Treasure Chest"           ,nil,nil,{1024, 46.22, 73.41,{level=5},1024, 41.29, 72.43, cave_entrance},nil,1,chests_icon}
 q[40472] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 47.52, 64.36},nil,1,chests_icon} 
 q[42453] = {high,"Treasure Chest"           ,nil,nil,{1024, 52.54, 66.37},nil,1,chests_icon} 
 q[40496] = {high,"Treasure Chest"           ,nil,nil,{1024, 50.98, 36.45},nil,1,chests_icon}
 q[40481] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 45.54, 34.59},nil,1,chests_icon}
 q[40482] = {high,"Glimmering Treasure Chest",nil,nil,{1024, 46.66, 28.11},nil,1,chests_icon} 
 q[40506] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 50.8 , 35.05},nil,1,chests_icon}
 q[39466] = {high,"Treasure Chest"           ,nil,nil,{1024, 50   , 37.14},nil,1,chests_icon}
 q[40507] = {high,"Treasure Chest"           ,nil,nil,{1024, 46.75, 39.9 },nil,1,chests_icon} 
 q[40480] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 42.2 , 34.81},nil,1,chests_icon}
 q[40494] = {high,"Treasure Chest"           ,nil,nil,{1024, 41.92, 39.9, {level=16},1024,41.65,47.02,cave_entrance,1024,38.35, 42.49,cave_entrance},nil,1,chests_icon}
 q[40479] = {high,"Treasure Chest"           ,nil,nil,{1024, 42.2 , 27.3 },nil,1,chests_icon} 
 q[40477] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 37.34, 33.79},nil,1,chests_icon} 
 q[40493] = {high,"Treasure Chest"           ,nil,nil,{1024, 53.04, 52.21},nil,1,chests_icon}
 
 --q[0] = {high,"Small Treasure Chest"     ,nil,nil,{1024, 52  , 80.5},nil,1,chests_icon}
--Highmountain 53.5 43.6 Small Treasure Chest (no in addon) (enter via Cave entrance)
			 -------- Stormheim ---------
 q[38677] = {sto,"Treasure Chest"      ,nil,nil,{1017, 35.72, 54.07},nil,1,chests_icon} -- Artifact Power (40) + Order Resources (49)
 q[38676] = {sto,"Small Treasure Chest",nil,nil,{1017, 31.1 , 56   },nil,1,chests_icon} -- Order Resources (24)                      
 q[38529] = {sto,"Treasure Chest"      ,nil,nil,{1017, 27.33, 57.49,{level=9},1017,31.43, 57.15, cave_entrance},nil,1,chests_icon} -- Artifact Power (75) + Order Resources (48)
 q[43196] = {sto,"Treasure Chest"      ,nil,nil,{1017, 32.05, 47.19},nil,1,chests_icon} -- Artifact Power (55) + Order Resources (41)
 q[38488] = {sto,"Small Treasure Chest",nil,nil,{1017, 41.74, 46.04},nil,1,chests_icon} -- Artifact Power (50) + Order Resources (17)
 q[38483] = {sto,"Small Treasure Chest",nil,nil,{1017, 50.31, 41   },nil,1,chests_icon} -- Artifact Power (20) + Order Resources (15)
 q[38476] = {sto,"Small Treasure Chest",nil,nil,{1017, 48.13, 74.21},nil,1,chests_icon} -- Artifact Power (10) + Order Resources (24)
 q[38474] = {sto,"Treasure Chest"      ,nil,nil,{1017, 42.61, 65.79},nil,1,chests_icon} -- Artifact Power (25) + Order Resources (38)
 q[38481] = {sto,"Treasure Chest"      ,nil,nil,{1017, 46.76, 80.4 },nil,1,chests_icon,nil,nil,nil,nil,"Grapple on top of the stone"} -- Artifact Power (40) + Order Resources (40)
 q[40093] = {sto,"Small Treasure Chest",nil,nil,{1017, 61.4 , 44.4 },nil,1,chests_icon} -- Artifact Power (20) + Order Resources (24)
 q[40094] = {sto,"Small Treasure Chest",nil,nil,{1017, 60.83, 42.73},nil,1,chests_icon,nil,nil,nil,nil,"Grapple on the wooden beam"} -- Artifact Power (5) + Order Resources (15) 
 q[40095] = {sto,"Treasure Chest"      ,nil,nil,{1017, 55   , 47.16},nil,1,chests_icon} -- Artifact Power (15) + Order Resources (36)
 q[40083] = {sto,"Small Treasure Chest",nil,nil,{1017, 67.93, 57.74},nil,1,chests_icon} -- Artifact Power (25) + Order Resources (19)
 q[38637] = {sto,"Small Treasure Chest",nil,nil,{1017, 69.14, 44.78},nil,1,chests_icon} -- Artifact Power (5) + Order Resources (19) 
 q[40085] = {sto,"Small Treasure Chest",nil,nil,{1017, 73.33, 41.5 },nil,1,chests_icon} -- Artifact Power (25) + Order Resources (19)
 q[40089] = {sto,"Treasure Chest"      ,nil,nil,{1017, 61.83, 62.89},nil,1,chests_icon} -- Artifact Power (25) + Order Resources (30)
 q[40090] = {sto,"Small Treasure Chest",nil,nil,{1017, 57.94, 63.21},nil,1,chests_icon} -- Artifact Power (10) + Order Resources (22)
 q[38477] = {sto,"Small Treasure Chest",nil,nil,{1017, 42.34, 61.12},nil,1,chests_icon} -- Artifact Power (20) + Order Resources (16)
 q[38486] = {sto,"Treasure Chest"      ,nil,nil,{1017, 39.48, 65.17},nil,1,chests_icon} -- Artifact Power (20) + Order Resources (42)
 q[38480] = {sto,"Small Treasure Chest",nil,nil,{1017, 52.02, 80.57},nil,1,chests_icon}
 q[40088] = {sto,"Treasure Chest"      ,nil,nil,{1017, 59.31, 58.44},nil,1,chests_icon}
 q[40099] = {sto,"Treasure Chest"      ,nil,nil,{1017, 81.86, 67.51},nil,1,chests_icon}
 q[43191] = {sto,"Small Treasure Chest",nil,nil,{1017, 82.38, 54.53},nil,1,chests_icon} -- Valarjar reputation
 q[43302] = {sto,"Small Treasure Chest",nil,nil,{1017, 73.97, 58.58},nil,1,chests_icon}

 -- helheim
 q[38516] = {hel,"Treasure Chest"      ,nil,nil,{1022, 19.57, 46.93},nil,1,chests_icon} -- Artifact Power (75) + Order Resources (46)
 
			 -------- Suramar ---------
 q[43853] = {sur,"Small Treasure Chest",nil,nil,{1033, 48.17, 33.96},nil,1,chests_icon} -- APower (5) + Resources (35) + Ancient Mana (4) 
 q[43840] = {sur,"Treasure Chest"      ,nil,nil,{1033, 23.35, 48.14, {level = 33}, 1033, 20.4, 50.31, cave_entrance},nil,1,chests_icon} -- APower (25) + Resources (65) + Ancient Mana(20)
end

list.GenerateData = GenerateData
DailyGlobalCheck:LoadPlugin(list, questsdata)